{% extends 'base.html.twig' %}

{% block title %}Accueil {{ parent() }}{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('teamMateIndex') }}
{% endblock %}

{% block body %}
    {% include "base/_header.html.twig" %}
    
    <div class='container__content'>
        <div class='container__addPerson'>
            <a class='addPerson__button' href="{{ path('team_mate_new') }}" data-aos="fade-down" data-aos-duration="1000">Ajouter un(e) Argonaute</a>
        </div>

        <div class='container__members' data-aos="fade-down" data-aos-duration="1000">
            <div class='container__h2'>
                <h2>Membres de l'équipage</h2>
            </div>

            <div class='container__crew'>
                <div class='container__crew__items'>
                    <div class='container__item__crewNumber'>
                        {% if crewNumber == 50 %}
                            <p>Votre équipage est complet !</p>
                        {% endif %}
                    </div>
                    <div class='container__item__crew'>
                        {% for person in crew %}
                            <div class='teamMate__card' data-aos="fade-down" data-aos-duration="1000">
                                <div class='poster__card'>
                                    {% if person.isMale == true %}
                                        <img class="avatar__image" src="{{ asset('build/images/male.png') }}" alt="avatar profile">
                                    {% else %}
                                        <img class="avatar__image" src="{{ asset('build/images/female.png') }}" alt="avatar profile">
                                    {% endif %}
                                </div>

                                <div class='container__teamMate__infos'>
                                    <div class='teamMate__infos'>
                                        <p><span class='label__teamMate__info'>Nom:</span> {{ person.name }}</p>
                                        <p><span class='label__teamMate__info'>Age:</span> {{ person.age }}</p>
                                    </div>
                                </div>
                                <div class='container__card__button'>
                                    <a class='card__button' href="{{ path('team_mate_show', {'id': person.id}) }}">Voir</a>
                                    <a class='card__button' href="{{ path('team_mate_fire', {'id': person.id}) }}">Désembaucher</a>
                                </div>
                            </div>

                        {% else %}
                            <div class='container__noMember'>
                                <p>Aucun équipier ne fait partie de votre équipage !</p>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
        
        <div class='container__persons' data-aos="fade-down" data-aos-duration="1000">
            <div class='container__h2'>
                <h2>Liste des personnes</h2>
            </div>

            <div class='container__teamMates'>
                {% for team_mate in team_mates|reverse %}
                    <div class='teamMate__card' data-aos="fade-right" data-aos-duration="1000">
                        <div class='poster__card'>
                            {% if team_mate.isMale == true %}
                                <img class="avatar__image" src="{{ asset('build/images/male.png') }}" alt="avatar profile">
                            {% else %}
                                <img class="avatar__image" src="{{ asset('build/images/female.png') }}" alt="avatar profile">
                            {% endif %}
                        </div>
                        <div class='container__available'>
                            {% if team_mate.isAvailable == true %}
                                <p class='available'>Disponible</p>
                            {% else %}
                                <p class='unAvailable'>Recruté</p>
                            {% endif %}
                        </div>
                        <div class='container__teamMate__infos'>
                            <div class='teamMate__infos'>
                                <p><span class='label__teamMate__info'>Nom:</span> {{ team_mate.name }}</p>
                                <p><span class='label__teamMate__info'>Age:</span> {{ team_mate.age }}</p>
                            </div>
                        </div>

                        <div class='container__card__button'>
                            <a class='card__button' href="{{ path('team_mate_show', {'id': team_mate.id}) }}">Voir</a>
                            {% if team_mate.isAvailable == true %}
                                {% if crewNumber < 50 %}
                                    <a class='card__button' href="{{ path('team_mate_recruit', {'id': team_mate.id}) }}">Recruter</a>
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>
                {% else %}
                    <p>Aucun profil</p>
                {% endfor %}
            </div>
        </div>
    </div>
    {% include "base/_footer.html.twig" %}


    {% block javascripts %}
        {{ encore_entry_script_tags('teamMateIndex') }}
    {% endblock %}
{% endblock %}
